/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.finance.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.springblade.modules.finance.entity.OrderConsign;
import org.springblade.modules.finance.vo.OrderConsignVO;
import org.springblade.modules.finance.mapper.OrderConsignMapper;
import org.springblade.modules.finance.service.IOrderConsignService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 寄售订单表 服务实现类
 *
 * @author BladeX
 * @since 2022-02-13
 */
@Service
public class OrderConsignServiceImpl extends ServiceImpl<OrderConsignMapper, OrderConsign> implements IOrderConsignService {

	@Override
	public IPage<OrderConsignVO> selectOrderConsignPage(IPage<OrderConsignVO> page, OrderConsignVO orderConsign) {
		return page.setRecords(baseMapper.selectOrderConsignPage(page, orderConsign));
	}

	/**
	 * 返回用户当日抢购次数
	 * @param userId 用户ID
	 * @param consignConfigId 场次
	 * @return
	 */
	@Override
	public Integer selectUserCount(Long userId, Long consignConfigId){
		return baseMapper.selectUserCount(userId,consignConfigId);
	}

}
