/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.shopping.service.impl;

import org.springblade.modules.shopping.entity.ConsignDist;
import org.springblade.modules.shopping.vo.ConsignDistVO;
import org.springblade.modules.shopping.mapper.ConsignDistMapper;
import org.springblade.modules.shopping.service.IConsignDistService;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 配货表 服务实现类
 *
 * @author BladeX
 * @since 2022-03-15
 */
@Service
public class ConsignDistServiceImpl extends BaseServiceImpl<ConsignDistMapper, ConsignDist> implements IConsignDistService {

	@Override
	public IPage<ConsignDistVO> selectConsignDistPage(IPage<ConsignDistVO> page, ConsignDistVO consignDist) {
		return page.setRecords(baseMapper.selectConsignDistPage(page, consignDist));
	}

}
